org.apache.pdfbox.preflight.font

## Class Type1FontValidator

- java.lang.Object
- - org.apache.pdfbox.preflight.font.FontValidator<T>
  - - org.apache.pdfbox.preflight.font.SimpleFontValidator<Type1Container>
    - - org.apache.pdfbox.preflight.font.Type1FontValidator

    public class Type1FontValidator
    extends SimpleFontValidator<Type1Container>

### Field Summary

### Fields inherited from class org.apache.pdfbox.preflight.font.SimpleFontValidator

`font, fontDictionary`

### Fields inherited from class org.apache.pdfbox.preflight.font.FontValidator

`context, descriptorHelper, fontContainer`

### Constructor Summary

Constructors
Constructor and Description
`Type1FontValidator(PreflightContext context, org.apache.pdfbox.pdmodel.font.PDSimpleFont font)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkEncoding()`
`protected void` `createFontDescriptorHelper()`

### Methods inherited from class org.apache.pdfbox.preflight.font.SimpleFontValidator

`checkMandatoryField, processFontDescriptorValidation, validate`

### Methods inherited from class org.apache.pdfbox.preflight.font.FontValidator

`checkToUnicode, getFontContainer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Type1FontValidator

    public Type1FontValidator(PreflightContext context,
                              org.apache.pdfbox.pdmodel.font.PDSimpleFont font)

### Method Detail

#### createFontDescriptorHelper

    protected void createFontDescriptorHelper()

Specified by:
  `createFontDescriptorHelper` in class `SimpleFontValidator<Type1Container>`

#### checkEncoding

    protected void checkEncoding()

Overrides:
  `checkEncoding` in class `FontValidator<Type1Container>`